StopFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.StopFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis
Class StopFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.StopFilter

    public final class StopFilter

extends TokenFilter

Removes stop words from a token stream.

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`StopFilter(TokenStream in, Set stopWords)` Constructs a filter which removes words from the input TokenStream that are named in the Set.
`StopFilter(TokenStream input, Set stopWords, boolean ignoreCase)` Construct a token stream filtering the given input.
`StopFilter(TokenStream input, String[] stopWords)` Construct a token stream filtering the given input.
`StopFilter(TokenStream in, String[] stopWords, boolean ignoreCase)` Constructs a filter which removes words from the input TokenStream that are named in the array of words.

Method Summary
`boolean` | `getEnablePositionIncrements()`
`static boolean` | `getEnablePositionIncrementsDefault()`
`static Set` | `makeStopSet(String[] stopWords)` Builds a Set from an array of stop words, appropriate for passing into the StopFilter constructor.
`static Set` | `makeStopSet(String[] stopWords, boolean ignoreCase)`
`Token` | `next(Token reusableToken)` Returns the next input Token whose term() is not a stop word.
`void` | `setEnablePositionIncrements(boolean enable)` Set to `true` to make this StopFilter enable position increments to result tokens.
`static void` | `setEnablePositionIncrementsDefault(boolean defaultValue)` Set the default position increments behavior of every StopFilter created from now on.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StopFilter

    public StopFilter(TokenStream input,
                      String[] stopWords)

  Construct a token stream filtering the given input.

### StopFilter

    public StopFilter(TokenStream in,
                      String[] stopWords,
                      boolean ignoreCase)

  Constructs a filter which removes words from the input TokenStream that are named in the array of words.

### StopFilter

    public StopFilter(TokenStream input,
                      Set stopWords,
                      boolean ignoreCase)

  Construct a token stream filtering the given input. If `stopWords` is an instance of `CharArraySet` (true if `makeStopSet()` was used to construct the set) it will be directly used and `ignoreCase` will be ignored since `CharArraySet` directly controls case sensitivity.

  If `stopWords` is not an instance of `CharArraySet`, a new CharArraySet will be constructed and `ignoreCase` will be used to specify the case sensitivity of that set.

  Parameters:
    `input` -
    `stopWords` - The set of Stop Words.
    `ignoreCase` - -Ignore case when stopping.

### StopFilter

    public StopFilter(TokenStream in,
                      Set stopWords)

  Constructs a filter which removes words from the input TokenStream that are named in the Set.

  See Also:
    `makeStopSet(java.lang.String[])`

Method Detail

### makeStopSet

    public static final Set makeStopSet(String[] stopWords)

  Builds a Set from an array of stop words, appropriate for passing into the StopFilter constructor. This permits this stopWords construction to be cached once when an Analyzer is constructed.

  See Also:
    `passing false to ignoreCase`

### makeStopSet

    public static final Set makeStopSet(String[] stopWords,
                                        boolean ignoreCase)

  Parameters:
    `stopWords` -
    `ignoreCase` - If true, all words are lower cased first.
  Returns:
    a Set containing the words

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Returns the next input Token whose term() is not a stop word.

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `reusableToken` - a Token that may or may not be used to return; this parameter should never be null (the callee is not required to check for null before using it, but it is a good idea to assert that it is not null.)
  Returns:
    next token in the stream or null if end-of-stream was hit
  Throws:
    `IOException`

### getEnablePositionIncrementsDefault

    public static boolean getEnablePositionIncrementsDefault()

  See Also:
    `setEnablePositionIncrementsDefault(boolean).`

### setEnablePositionIncrementsDefault

    public static void setEnablePositionIncrementsDefault(boolean defaultValue)

  Set the default position increments behavior of every StopFilter created from now on.

  Note: behavior of a single StopFilter instance can be modified with `setEnablePositionIncrements(boolean)`. This static method allows control over behavior of classes using StopFilters internally, for example `StandardAnalyzer`.

  Default : false.

  See Also:
    `setEnablePositionIncrements(boolean).`

### getEnablePositionIncrements

    public boolean getEnablePositionIncrements()

  See Also:
    `setEnablePositionIncrements(boolean).`

### setEnablePositionIncrements

    public void setEnablePositionIncrements(boolean enable)

  Set to `true` to make this StopFilter enable position increments to result tokens.

  When set, when a token is stopped (omitted), the position increment of the following token is incremented.

  Default: see `setEnablePositionIncrementsDefault(boolean)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.